Subject: bug#47130: 28.0.50; Gnus: mairix doesn't work anymore

From: Michael Heerdegen <[email-masked]>
Date: Wed, 17 Mar 2021 00:31:26 +0100

Eric Abrahamsen <[email-masked]> writes:

> Well this is embarrassing, I can't get it to do anything at all. I
> dumped a bunch of messages in ~/Mail/archive [...]

It seems you also need to have a .overview file in an mh mail
directory, else mairix does not consider it as mh mail folder.  Dunno
where to get it from by hand - when storing messages with Gnus Gnus
creates it automatically.  Maybe you should do that.

Or use a different folder format, e.g. mbox.

> I also created the mfolder directory in case mairix wasn't going to do
> that for me (what's that actually for?).

That's the folder which mairix will fill with (symlinks to) matching
messages.  Should normally be created automatically I think.  I also
think that Gnus tells mairix to use a different directory anyway.

HTH,

Michael.